動画
kling-3.0 API
Modelflare 非同期ビデオ ルーティングを通じて正確な kling-3.0 モデル ID を使用します。
正確なモデル ID kling-3.0 を使用します。モデル フィールドはこのページと正確に一致する必要があります。
パラメータ: duration=5resolution=1080pratio=16:9
プロンプト: Stop-motion claymation style: a small orange clay fox sneaks through a miniature felt forest, pauses, sniffs a glowing mushroom and jumps back in surprise. Handmade textures, visible fingerprints on the clay, soft tabletop lighting, charming and playful, no text.
{ "model": "kling-3.0", "prompt": "Stop-motion claymation style: a small orange clay fox sneaks through a miniature felt forest, pauses, sniffs a glowing mushroom and jumps back in surprise. Handmade textures, visible fingerprints on the clay, soft tabletop lighting, charming and playful, no text.", "seconds": "5", "duration": 5, "resolution": "1080p", "ratio": "16:9", "aspect_ratio": "16:9"}認証とエンドポイント
Section titled “認証とエンドポイント”https://modelflare.dev/v1 で Modelflare API キーを使用します。ゲートウェイのエントリ ポイントは POST /v1/videos です。
Authorization: Bearer YOUR_MODELFLARE_API_KEYタスクの作成
Section titled “タスクの作成”curl https://modelflare.dev/v1/videos \ -H "Authorization: Bearer YOUR_MODELFLARE_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "model_name": "kling-3.0", "prompt": "A white cat runs through a neon-lit street in the rain, cinematic tracking shot", "duration": "5", "mode": "std" }'ポーリングとダウンロード
Section titled “ポーリングとダウンロード”タスクIDを保存します。 GET /v1/videos/{task_id} をポーリングし、GET /v1/videos/{task_id}/content でダウンロードします。結果 URL は有効期限が切れている可能性があるため、速やかにファイルを転送してください。
curl https://modelflare.dev/v1/videos/TASK_ID \ -H "Authorization: Bearer YOUR_MODELFLARE_API_KEY"リクエストメモ
Section titled “リクエストメモ”Kling は、ファミリー固有の model_name、prompt、mode、duration、image_list、または contents / settings フィールドを使用します。ネイティブ JSON が保存され、転送されます。
リクエストパラメータ
Section titled “リクエストパラメータ”Kling Legacy は、text2video / image2video リクエスト構造で model_name を使用します。モード、解像度、オーディオレーンについては、モデルの公式ページと価格ページを確認してください。
| フィールド | 必須 | 注意事項 |
|---|---|---|
model_name |
はい | kling-3.0 |
prompt |
条件付き | テキストからビデオへの変換には必須。画像とビデオを結合する |
image |
条件付き | 先頭フレーム画像URLまたはBase64 |
image_tail |
いいえ | オプションの終了フレーム画像 |
video_url |
条件付き | Kling 3.0 モーション コントロールの参考ビデオ |
image_list |
いいえ | Omni/O1 およびマルチモーダル ワークフローのイメージ リスト |
negative_prompt |
いいえ | 否定プロンプト |
mode |
いいえ | std / pro / 4k (機種依存) |
duration |
いいえ | 3~15秒(文字列) |
multi_shot |
いいえ | マルチショットのストーリーボードを有効にする |
sound |
いいえ | サポートされている場合は同期サウンドを生成します |
camera_control |
いいえ | カメラ制御がサポートされている場合 |
Kling Legacy リクエストは model_name を使用します。 mode、duration、image / image_tail、sound、camera_controlの有無はモデルによって異なります。最小請求可能秒数と解決レーンは、価格ページのモデルごとの行に続きます。
文書化されたワークフローの例
Section titled “文書化されたワークフローの例”レガシー モデルは、ワークフローによって model_name、最初/終了フレーム、またはモーション コントロール フィールドを選択します。固定期間と音声制限は、このページの表に従います。
curl https://modelflare.dev/v1/videos \ -H "Authorization: Bearer YOUR_MODELFLARE_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "model_name": "kling-3.0", "prompt": "转移动作并保持人物身份", "image": "https://example.com/character.png", "video_url": "https://example.com/motion.mp4", "duration": "5", "mode": "std" }'エラーと失敗したタスク
Section titled “エラーと失敗したタスク”無効なモデル パラメーターは、リクエスト ID を含む 4xx を返します。非同期タスクは、作成が成功した後に失敗することもあります。ポーリング応答からの error_code と error_message を最終タスク理由として使用します。異なる JSON 形式で同じリクエストを再試行しないでください。
サポート範囲
Section titled “サポート範囲”このページでは、Modelflare モデルの生成と編集呼び出しについて説明します。検索またはマップのエンリッチメント、音声管理、および要素ライブラリ管理は、このパブリック モデル呼び出しサーフェスの外部にあるリソース API であり、必須のリクエスト フィールドではありません。
価格設定と請求
Section titled “価格設定と請求”動画秒単位課金モデルです。現在の顧客価格、参考定価、完全な仕様については、モデル価格ページを参照してください。
メディア契約 · v1
公式ソース: Kuaishou Kling
契約パラメータ
| インテントフィールド | コントロール | オプション |
|---|---|---|
ratio | select | 16:9 / 9:16 / 1:1 |
resolution | select | 720p / 1080p / 4k |
duration | select | 3 / 5 / 8 / 10 / 15 |
audio | switch | — |
サポートされる機能
allowed_values·ratio· 16:9, 9:16, 1:1allowed_values·resolution· 720p, 1080p, 4kallowed_values·duration· 3, 5, 8, 10, 15max_assets·reference_asset_ids· 2
構造化リクエストの例
text
インテント
{
"audio": false,
"duration": 3,
"prompt": "A red paper kite over a quiet harbour at dusk.",
"ratio": "16:9",
"resolution": "720p"
}プロバイダーリクエスト
{
"aspect_ratio": "16:9",
"duration": "3",
"mode": "std",
"model_name": "kling-3.0",
"prompt": "A red paper kite over a quiet harbour at dusk.",
"sound": "off"
}reference
インテント
{
"audio": false,
"duration": 3,
"prompt": "A red paper kite over a quiet harbour at dusk.",
"ratio": "16:9",
"resolution": "720p"
}プロバイダーリクエスト
{
"aspect_ratio": "16:9",
"duration": "3",
"image": "https://example.com/reference.png",
"mode": "std",
"model_name": "kling-3.0",
"prompt": "A red paper kite over a quiet harbour at dusk.",
"sound": "off"
}